import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { WbAdDeliveryProv } from '../models/index';
/**
 * @author auto generate
 * @version 1.2
 * @date 2020-12-29 15:31
 */
interface WbAdDeliveryProvCU extends ConditionUtil<WbAdDeliveryProvCU> {
    ID: FieldUtil<WbAdDeliveryProvCU>;
    CONFIG_ID: FieldUtil<WbAdDeliveryProvCU>;
    PROV_ID: FieldUtil<WbAdDeliveryProvCU>;
    CREATE_TIME: FieldUtil<WbAdDeliveryProvCU>;
    UPDATE_TIME: FieldUtil<WbAdDeliveryProvCU>;
}
declare class WbAdDeliveryProvMU extends TableUtilImpl<WbAdDeliveryProvCU, WbAdDeliveryProv> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): WbAdDeliveryProvCU;
    static get ID(): FieldUtil<WbAdDeliveryProvCU>;
    static get CONFIG_ID(): FieldUtil<WbAdDeliveryProvCU>;
    static get PROV_ID(): FieldUtil<WbAdDeliveryProvCU>;
    static get CREATE_TIME(): FieldUtil<WbAdDeliveryProvCU>;
    static get UPDATE_TIME(): FieldUtil<WbAdDeliveryProvCU>;
    get ID(): FieldUtil<WbAdDeliveryProvCU>;
    get CONFIG_ID(): FieldUtil<WbAdDeliveryProvCU>;
    get PROV_ID(): FieldUtil<WbAdDeliveryProvCU>;
    get CREATE_TIME(): FieldUtil<WbAdDeliveryProvCU>;
    get UPDATE_TIME(): FieldUtil<WbAdDeliveryProvCU>;
}
export { WbAdDeliveryProvMU, WbAdDeliveryProvCU };
